package com.trade.service.filestorage.enums;

import com.trade.common.enums.BasicEnum;

public enum FileModuleEnum implements BasicEnum {

    USER_DOCUMENT("trade-user_document", "贸服通-客户资料"),
    UNSIGNED_CONTRACT("trade-unsigned_contract", "贸服通-未签约合同"),
    SIGNED_CONTRACT("trade-signed_contract", "贸服通-已签约合同"),
    COMMON_UPLOAD("trade-common_upload", "贸服通-通用上传"),
    CUSTOMER_REFERRALCODE("trade-customer-referralCode", "贸服通-推荐链接生成二维码附件"),
    PROFORMA_INVOICE("trade-proforma_invoice", "贸服通-形式发票"),
    PURCHASE_ORDER("purchasecontract-purchaseorder", "跨境通-采购订单"),
    TRADING_PLATFORM("trade-trading_platform", "跨境通-贸易平台"),
    PURCHASE_CONTRACT("trade-purchase_contract", "跨境通-采购合同"),
    CUSTOMS_DECLARATION("trade-customs_declaration", "跨境通-报关单"),
    ENTRUSTED_CUSTOMS_AGREEMENT("trade-entrusted_customs_agreement", "跨境通-委托报关协议")
    ;


    /** 编码 */
    private final String code;
    /** 名称 */
    private final String cname;

    public String getCode() {
        return code;
    }

    public String getCname() {
        return cname;
    }

    FileModuleEnum(String code, String cname){
        this.code = code;
        this.cname = cname;
    }
}
